diff --git a/web/pgadmin/browser/server_groups/servers/databases/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
index 010049d7..c69440f1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
@@ -297,13 +297,12 @@ class DatabaseView(PGChildNodeView):
 
     @check_precondition(action="properties")
     def properties(self, gid, sid, did):
-        conn = self.manager.connection()
 
         SQL = render_template(
             "/".join([self.template_path, 'properties.sql']),
-            did=did, conn=conn, last_system_oid=0
+            did=did, conn=self.conn, last_system_oid=0
         )
-        status, res = conn.execute_dict(SQL)
+        status, res = self.conn.execute_dict(SQL)
 
         if not status:
             return internal_server_error(errormsg=res)
@@ -315,9 +314,9 @@ class DatabaseView(PGChildNodeView):
 
         SQL = render_template(
             "/".join([self.template_path, 'acl.sql']),
-            did=did, conn=conn
+            did=did, conn=self.conn
         )
-        status, dataclres = conn.execute_dict(SQL)
+        status, dataclres = self.conn.execute_dict(SQL)
         if not status:
             return internal_server_error(errormsg=res)
 
@@ -325,9 +324,9 @@ class DatabaseView(PGChildNodeView):
 
         SQL = render_template(
             "/".join([self.template_path, 'defacl.sql']),
-            did=did, conn=conn
+            did=did, conn=self.conn
         )
-        status, defaclres = conn.execute_dict(SQL)
+        status, defaclres = self.conn.execute_dict(SQL)
         if not status:
             return internal_server_error(errormsg=res)
 
@@ -337,10 +336,10 @@ class DatabaseView(PGChildNodeView):
         # Fetching variable for database
         SQL = render_template(
             "/".join([self.template_path, 'get_variables.sql']),
-            did=did, conn=conn
+            did=did, conn=self.conn
         )
 
-        status, res1 = conn.execute_dict(SQL)
+        status, res1 = self.conn.execute_dict(SQL)
 
         if not status:
             return internal_server_error(errormsg=res1)
